[arch-commits] Commit in tpb/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat May 2 22:42:24 EDT 2009


    Date: Saturday, May 2, 2009 @ 22:42:24
  Author: eric
Revision: 37568

Merged revisions 356,4656,37562 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/tpb/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4656 | ronald | 2008-07-08 05:04:45 -0400 (Tue, 08 Jul 2008) | 1 line
  
  fix license
........
  r37562 | eric | 2009-05-02 22:10:28 -0400 (Sat, 02 May 2009) | 2 lines
  
  upgpkg: tpb 0.6.4-2
      Added license, Added backup, FHS man pages
........

Modified:
  tpb/repos/extra-i686/	(properties)
  tpb/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)


Property changes on: tpb/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /tpb/trunk:1
   + /tpb/trunk:1-37567

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-03 02:22:13 UTC (rev 37567)
+++ extra-i686/PKGBUILD	2009-05-03 02:42:24 UTC (rev 37568)
@@ -4,18 +4,19 @@
 
 pkgname=tpb
 pkgver=0.6.4
-pkgrel=1
+pkgrel=2
 pkgdesc="Access the special buttons on a ThinkPad-Laptop using xosd"
+arch=('i686' 'x86_64')
 url="http://savannah.nongnu.org/projects/tpb/"
+license=('GPL')
 depends=('xosd' 'glibc')
+backup=('etc/tpbrc')
 source=(http://savannah.nongnu.org/download/tpb/$pkgname-$pkgver.tar.gz)
 md5sums=('563b544fbedcc1763130a0bca1ad63b6')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --sysconfdir=/etc
-  /usr/bin/make || return 1
-  /usr/bin/make DESTDIR=$startdir/pkg install
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc mandir=/usr/share/man || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
 }
-
-



More information about the arch-commits mailing list